using System;
using System.Windows.Forms;
using System.Threading;
using RestApi;
namespace CRVM
{
    static class Program
    {
        //static RestHandler sh = new RestHandler();
        /// <summary>
        /// 应用程序的主入口点。
        /// </summary>
        [STAThread]
        static void Main()
        {
            bool create;
            using (Mutex mu = new Mutex(true, Application.ProductName, out create))
            {
                if (create)
                {
                    Application.EnableVisualStyles();
                    Application.SetCompatibleTextRenderingDefault(false);
                    var mf = new IServerMainForm();
                    //sh.Roll_mill_data = new RollMillData(mf.roll_mill_data_array);
                    //sh.Roll_mill_data.AF = mf.alarmInfo;
                    //sh.cZState = mf.cZState;
                    //sh.Start();
                    Application.Run(mf);
                }
                else
                {
                    MessageBox.Show("程序正在运行！");
                }
            }
        }
    }
}
